Loading...
Searching...
No Matches
OBInternalCoord Class Reference

`#include <openbabel/internalcoord.h>`

## Public Member Functions

| OBInternalCoord (OBAtom *a=nullptr, OBAtom *b=nullptr, OBAtom *c=nullptr, double dst=0.0, double ang=0.0, double tor=0.0)

## Public Attributes

OBAtom * | _a
OBAtom * | _b
OBAtom * | _c
double | _dst
double | _ang
double | _tor

## Detailed Description

Used to transform from z-matrix to cartesian coordinates.

Used with OpenBabel::InternalToCartesian and OpenBabel::CartesianToInternal methods. Does not perform any actions itself. You must create or free OBAtom pointers yourself.

The z-matrix representation uses coordinates relative to up to three atoms, which need not be bonded in any fashion. A rough sketch of the a, b, and c atoms would be:

'*'
/
/
a----b
/
/
c

where the OBInternalCoord record reflects the '*' atom.

Warning
  Does not detect if NULL pointers are used. You should be careful.

## Constructor & Destructor Documentation

## OBInternalCoord()

OBInternalCoord | ( | OBAtom * | a = nullptr,
|  | OBAtom * | b = nullptr,
|  | OBAtom * | c = nullptr,
|  | double | dst = 0.0,
|  | double | ang = 0.0,
|  | double | tor = 0.0 )

inline

Constructor.

## Member Data Documentation

## _a

OBAtom* _a

First connection for this atom (i.e., distance).

Referenced by OBInternalCoord().

## _b

OBAtom* _b

Second reference atom (i.e., angle).

Referenced by OBInternalCoord().

## _c

OBAtom* _c

Third reference atom (i.e., dihedral / torsion angle).

Referenced by OBInternalCoord().

## _dst

double _dst

Distance between this atom and _a.

Referenced by OBInternalCoord().

## _ang

double _ang

Angle between this, _a, and _b (i.e., _a is the vertex).

Referenced by OBInternalCoord().

## _tor

double _tor

Torsional/dihedral angle between this, _a, _b, and _c.

Referenced by OBInternalCoord().

The documentation for this class was generated from the following file:

- internalcoord.h